#
# spec file for package umoci
#

# Project name when using go tooling.
%define project github.com/opencontainers/umoci

Name:           umoci
Version:        0.4.7
Release:        4.2
Summary:        Open Container Image manipulation tool
License:        Apache-2.0
Group:          System/Management
URL:            https://umo.ci
Source0:        https://github.com/opencontainers/umoci/releases/download/v%{version}/umoci.tar.xz#/%{name}-%{version}.tar.xz
Source1:        https://github.com/opencontainers/umoci/releases/download/v%{version}/umoci.tar.xz.asc#/%{name}-%{version}.tar.xz.asc
Source2:        https://umo.ci/%{name}.keyring
# OPENSUSE-FIX-UPSTREAM: Backport of <https://github.com/opencontainers/umoci/pull/369>.
Patch1:         0001-makefile-fix-bad-build-flags.patch
BuildRequires:  fdupes
BuildRequires:  go
#BuildRequires:  go-go-md2man
ExcludeArch:    s390

%description
umoci modifies Open Container images. umoci is a manipulation tool for OCI
images. In particular, it is a more complete alternative to oci-image-tools
provided by the OCI.

%prep
%setup -q
# <https://github.com/opencontainers/umoci/pull/369>
%patch -P 1 -p1

%build
export VERSION="$(cat ./VERSION)"
if [ "$VERSION" != "%{version}" ]; then
  # Append "_suse" if the version is not an upstream one.
  VERSION="%{version}_suse"
fi
# Build umoci without docs.
make VERSION="$VERSION" umoci

%install
# Install the binary.
install -D -m 0755 %{name} "%{buildroot}/%{_bindir}/%{name}"

# Optionally install all of the docs if available (commented out as we skip doc build).
# for file in doc/man/*.1; do
#   install -D -m 0644 $file "%{buildroot}/%{_mandir}/man1/$(basename $file)"
# done

%fdupes %{buildroot}

%files
%defattr(-,root,root)
%doc README.md CHANGELOG.md
%license COPYING
%{_bindir}/%{name}
#%{_mandir}/man1/umoci*

%changelog
* Thu Jul 25 2024 Michael Stauber <mstauber@solarspeed.net> [0.4.7-4.2]
- Initial build
